document.addEventListener('DOMContentLoaded', function () {
    document.getElementById('login-btn').addEventListener('click', function() {
        // Get the selected role from the dropdown
        const selectedRole = document.getElementById('role').value;

        // Hide the login section and show the dashboard section
        document.getElementById('login-section').style.display = 'none';
        document.getElementById('dashboard-section').style.display = 'block';

        // Display the role name
        document.getElementById('role-name').textContent = selectedRole.replace('-', ' ').toUpperCase();

        // Show role-specific dashboard content
        let dashboardContent = '';
        switch (selectedRole) {
            case 'end-user':
                dashboardContent = `
                    <h3>End-User Dashboard</h3>
                    <p>Welcome to your personalized dashboard! Here you can upload files and view predictions.</p>
                    <button>Upload File</button>
                    <button>View Predictions</button>
                `;
                break;
            case 'ai-engineer':
                dashboardContent = `
                    <h3>AI Engineer Dashboard</h3>
                    <p>Manage ML models and monitor user interactions to improve the model.</p>
                    <button>Upload New Model</button>
                    <button>View User Interactions</button>
                `;
                break;
            case 'administrator':
                dashboardContent = `
                    <h3>Administrator Dashboard</h3>
                    <p>Monitor system activity, manage users, and control access levels.</p>
                    <button>View System Logs</button>
                    <button>Manage Users</button>
                `;
                break;
            case 'finance-team':
                dashboardContent = `
                    <h3>Finance Team Dashboard</h3>
                    <p>Generate invoices based on user activity and view billing information.</p>
                    <button>Generate Invoice</button>
                    <button>View Billing History</button>
                `;
                break;
        }

        document.getElementById('dashboard-content').innerHTML = dashboardContent;
    });

    // Logout functionality
    document.getElementById('logout-btn').addEventListener('click', function() {
        // Hide the dashboard section and show the login section
        document.getElementById('login-section').style.display = 'block';
        document.getElementById('dashboard-section').style.display = 'none';
    });
});
